#(ly:set-option 'old-relative)
\version "2.2.0"

% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11)
%#(set-global-staff-size 13)
#(set-global-staff-size 16)
%#(set-global-staff-size 20)
%#(set-global-staff-size 26)

%% pour le volume des canaux midi, ne pas oublier d'indiquer \f
% #(set! instrument-equalizer-alist
%      (append
%         '(
%    ("cello" . (0 . 2.0))
%    ("string ensemble 1" . (0 . 2.0))
%    ("string ensemble 2" . (0 . 2.0))
%    ("acoustic grand" . (0 . 3.0))
%     )
%        instrument-equalizer-alist))


\header {
%   dedication = "dedication"
%   title = "Title"
   subtitle = "Alleluia - Magnificat"
   subsubtitle = "Introduction et contre-chant"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 1.8.2"
}

global = {\time 4/4}
Armature = \notes \key c \major


melodie = \notes \relative c'' {
         \tempo 4=130 % indication métronomique pour la feuille et midi

r2 c,4 d e2 e2 r4 d8 e f4 b, c1
r2 \times 2/3 {g'4 a b} c1 r4 b8 c d4 a b1
r4 a4 b d g,1 r4 d8 e f4 d e1
r4 d8 e f4 b, c1
%         \partial 16
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux
          % e2(  e) pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2

%       nuances : \p, etc (collé aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno \marcato \fermata  \breathe
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyrics {
Al -- le lu -- ia!
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chords {
r1 c1 g1 c1
c1 a1:m d1 g1
g1 c1 f1 c1 g1 c1
%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle = \notes \relative c' {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {

}

Clarinette = \notes \relative c' {
 r2 c4 d e2 c' d, e4 d c1
 r2 c4 d e2 c' a fis4 d b'1
 r2 b,4 d c2 g    r2 a4 c e1
 r2 g,4 b c1
}

\score {
  <<
    \global
    \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = chorale <<

     \context ChordNames = accords {
       \set midiInstrument = #"recorder"
       \set midiInstrument = #"acoustic guitar (nylon)"
       \set midiInstrument = #"string ensemble 2"
       \set midiInstrument = #"acoustic guitar (nylon)"

       \set minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
       \override ChordName   #'font-family = #'typewriter
%       \override ChordName   #'font-magnification = #1.2
%        \override ChordName   #'font-shape = #'italic
%        \override ChordName   #'font-size = #-2
       \set chordChanges = ##t
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chant {
      \set Staff.midiInstrument = #"acoustic grand"
      \set Staff.autoBeaming = ##t
%     #(override-auto-beam-setting '(end * * * *)  1 4) % pour que les barres de croches durent 1 tps
      \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = "Chant"
      \set Staff.instr = "Cht"
      \set Staff.fontSize = -1
      \set Staff.minimumVerticalExtent = #'(-4 . 3)
%                            #'(-dist.notes-textes . dist.notes-accords)
%     souvent #'(-4 . 3 convient) bien;#'(-7 . 5 dans) les cas extrêmes?

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\set Staff.staff-space = 2

	\Armature % définie plus haut
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >>

                            }
      \context Lyrics \texte
% ou, pour changer la taille des caractères,
%       \context Lyrics = ttx {
%        \override LyricText   #'font-relative-size = #'+1
%       \texte}

                                >>

    \context StaffGroup = contrechant <<

% Pour la flûte ou le hautbois

      \context Staff = fl {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = #"oboe"
	\set Staff.midiInstrument = #"flute"
	\set Staff.midiInstrument = #"english horn"
    \set Staff.instrument = \markup {
             \column < "Flute ou" { "Hautbois"} > }
    \set Staff.instr = \markup {
             \column < "Fl." { "Htb."} > }
%
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = #"clarinet"
    \set Staff.instrument = \markup {
             \column < "Clarinette"
               { "en Si" \smaller \semiflat}
               > }
    \set Staff.instr = \markup {
             \column < "Clar."
               { "Si" \smaller \semiflat}
               > }

    \notes %\key g \major
% 	\Armature
        \notes \Clarinette % \transpose c d 
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = #"trombone"
	\set Staff.midiInstrument = #"cello"
	\set Staff.midiInstrument = #"string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = "Violoncelle "
	\set Staff.instr = "Vlle "
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>>
  >> % ouvert juste en dessous de la déclaration \score

  \paper {linewidth = 100 * \staffspace
%     linewidth = 150
%     linewidth = 18.0\cm
%     linewidth = -1 pour ne pas justifier les portées, mais cfr. infra
% 	  interscoreline = 2.0\cm ou 22 (sans rien derrière)

% Pour changer l'écart entre les notes :

%       \context{
%           \ScoreContext
%           \override SpacingSpanner #'spacing-increment = #2.2
%           \override SpacingSpanner #'shortest-duration-space = #3.0

      \context{
      	\RemoveEmptyStaffContext 
%       \ScoreContext
%       \override TextScript #'font-shape = #'upright
      }
  }
%   \midi  {\tempo 4 = 80}
}
% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \paper juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \global et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps
