% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Couronnée d'étoiles"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
  composer = "M. Dannaud"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
  arranger = "Stéphane Vercouillie"
  poet = "A. Dumont"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
%    tagline = "Lilypond 2.8.7"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.10.10"

% modification de la notation des accords
chExceptionMusic =  {
    <c f g bes>1-\markup { "7/4" }
    <c e g bes>1-\markup { "7" }
    <c ees g bes>1-\markup { "m7" }
    <c f g>1-\markup { "4" }
    <c e g a>1-\markup { "6" }
    <c ees g a>1-\markup { "m6" }
    <c ees ges>1-\markup { "dim" }
    <c ees ges beses>1-\markup { "7dim" }
    }
% add to existing exceptions.
chExceptions = #(append
                 (sequential-music-to-chord-exceptions chExceptionMusic #t)
                 ignatzekExceptions)

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
%     top-margin = -0.5 \cm % on peut mettre du négatif pour serrer
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
    ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key e \minor
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodie =  \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4

% pour changer l'impression des numéros de portée, tous les deux:
% \override Score.BarNumber 
% 	    #'break-visibility = #end-of-line-invisible
% \set Score.barNumberVisibility = #(every-nth-bar-number-visible 2)

c4 d e f g1

%         \tempo 4=120 % indication métronomique pour la feuille et midi
%         \partial 16
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux (\\ indique les 2 voix)
%         f4~ f2 pour lier deux notes identiques
%         e2(  e) pour lier
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2
%             c16[ b a g] f[ e] Crochets indiquent comment grouper les barres de croches
%         \times 2/3 { r8 b a } pour des triolets
% 
%       nuances : \p, etc (collé aux notes)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3" (^ force up; _ force down)
%                \segno \marcato \fermata (point d'orgue) \breathe
%                \marcato \tenuto \accent
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \markup "chant" ou e4^\markup{ \italic ritenuto }
}

texte = \lyricmode {
ah la là oh ouh_!
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
}

Violoncelle =  \relative c {
e16 d b a g8 d' g,2 c16 b a g b4 e,2
e'4~ e16 fis g fis e2    d4~ d16 e fis d b2    e4 fis 8 g e2   c4 a8 g d'2
g4~ g16 a g fis g fis e4.   e4~ e16 fis g e d4. d8 b4 b16 c b a g4. e16 g a4 d16 c b8 e2

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute =  \relative c'' {
g16 a b c e8 d d2   e16 d c b a8 g16 a b2
b4. g16 a b2  a4. d16 b g4 a   b4. e16 d b a g4.  b16 a g a b8 c d2
d16 e fis g g2.   a16 g fis e d8 c d2   b4 b8 b16 c b2    a8 g16 fis b4 b2
}

Violon =  \relative c' {
e16^"intro." fis g a b8 a b2  c16 b a g a8 b e,2 \bar "||"
g4.^"Refrain" e16 fis g2   fis4. g16 a g4 fis e4~ e16 fis g a b2   b16 c d e b8 g a2
b4.~ b16 b g a b c b4 a4.~ a16 d c b a g a4 a8 g16 a b2~ b8 e, a4 fis e2 \bar "|."
}

\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour les voix

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "vl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "flute"
	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrumentName = \markup \tiny {
      \column  { "Violon" }}
%                  \line { "hautbois "} } }
    \set Staff.shortInstrumentName = \markup \tiny {
      \column  { "Vl. " }}
%                  \line { "Htb. "} } }

%
	\Armature
        \Violon
	}

% Pour la clarinette en Sib

    \context Staff = "Flute" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrumentName = \markup \tiny {
      "Flûte 1 "
%             \line { "en Si" \smaller \flat}
                }
    \set Staff.shortInstrumentName = \markup \tiny {
             "Fl. 1"
%              \line { "Si" \smaller \flat}
                }

%      \key g \major
      \Armature
         \Flute
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrumentName = \markup \tiny { "Violoncelle "}
	\set Staff.shortInstrumentName = \markup \tiny {"Vlle "}
	\Armature
	\clef bass
         \Violoncelle
% 	 {s2*29}
	}
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
  %   \midi  {\tempo 4 = 80 % on dirait qu'il faut mettre cette indication ds la musique elle-même
%     #(set! instrument-equalizer-alist
%        (append
%           '(
%            ("cello" . (0.5 . 1.0))
%            ("string ensemble 1" . (0.1 . 0.2))
%            ("string ensemble 2" . (0.1 . 0.2))
%            ("acoustic grand" . (0.2 . 0.8)) )
%        instrument-equalizer-alist))
%   }


  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }