% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Taizé, Kyrie 13"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.3"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.3"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
%     ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
    between-system-space = 25\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key b \minor
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodieAa =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4
s1 s1 \bar "||" \break
fis4 b a d,8( e) fis2 b,4 \breathe 
d8( e) fis4 b2 ais4 \bar "||" 
		\cadenzaOn s4 b\breve \bar "|" ais2 
\bar "|."
}
melodieAb =  \relative c' { s1 s1 s1 s2 s4 d8( e) fis4 d g fis s4 d\breve cis2
}

melodieB =  \relative c {
s1 s1
fis4 b a d,8( e) fis2 b,4 \breathe 
<< { d8( e) fis4 b4 e8 d cis4 s4 b\breve fis2 } \\
    { d8( e) fis4 g e fis s4 b,\breve fis2 } >>
}


texte = \lyricmode {
Ky -- ri -- e e __ lei -- son e __ le __ i -- son!
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
b2:m g b:m fis
b2:m a d g d4 g e:m fis s4 b1:m b:m fis2
%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle =  \relative c {
b4\mf a g a b2 fis
b2 cis2 d4 a'4 b cis d \breathe g, e fis s4 b,\breve fis2 
% ici aussi, ne pas redire \repeat mais utiliser des {}
}
Flute =  \relative c'' {

fis,4\f b d cis8 b fis4 g fis2

d'4\mf cis8 b a b b a d4 e8 fis g2 
r4 g8 a d4 cis b2 s2 r1 s4 s2 
}
Violon = \relative c' {
 d'4\p e8 d d4 e8 d d4 e8 d cis2 \breathe
 fis,4\mf b a d,8 e fis2 \breathe d'2
a4 b a8 g fis8 e d2  s2 r1 s4 s2 
}

Clarinette =  \relative c'' {

}
\markup {  }
\markup { \italic "avec introduction" }
\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
       \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
%        \set ChordNames.midiInstrument = "string ensemble 2"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chantU" 
        \with {fontSize = #-3
        \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
%  	\set Staff.midiInstrument = "string ensemble 1"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
       << \new Voice = "sopran" { \stemUp \melodieAa }

     \new Lyrics { % \small \tiny \teeny
      \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
      \set fontSize = #-2
       \lyricsto "sopran" \texte
          } 


         \new Voice = "alto" { \stemDown \melodieAb }
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            
	>>
	 }

      \context Staff = "chantB" 
        \with {fontSize = #-3
        \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
%  	\set Staff.midiInstrument = "string ensemble 1"
      \set Staff.autoBeaming = ##t
      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}

	\Armature % définie plus haut
  	\clef bass
      \melodieB
                            }

                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "flute"
% 	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup \tiny {
       \column  { "Flute ou "
                 \line { "hautbois "} } }
    \set Staff.instr = \markup \tiny {
       \column  { "Fl. "
                 \line { "Htb. "} } }

%
	\Armature
	\parDeux
        \Flute
	}
% Pour le violon
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "vl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "flute"
	\set Staff.midiInstrument = "violin"
    
    \set Staff.instrument = \markup \tiny { "Violon" }
    \set Staff.instr = \markup \tiny { "Vl." }
%
	\parDeux
	\Armature
        \Violon
	}
% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup \tiny {
            "Clarinette "
            \line { "en Si" \smaller \flat}
                }
    \set Staff.instr = \markup \tiny {
             "Clar. "
             \line { "Si" \smaller \flat}
                }

     \key g \major
         \transpose c d \Clarinette
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
% 	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup \tiny { "Violoncelle "}
	\set Staff.instr = \markup \tiny {"Vlle "}
	\Armature
	\clef bass
         \Violoncelle
% 	 {s2*29}
	}
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
 ragged-right = ##t % ne justifie pas les portées à droite
  }
  \midi  {\tempo 4 = 80
    #(set! instrument-equalizer-alist
       (append
          '(
           ("cello" . (0.2 . 0.8))
           ("string ensemble 1" . (0.1 . 0.2))
           ("string ensemble 2" . (0.1 . 0.2))
           ("violin" . (0.1 . 0.7))
           ("flute" . (0.1 . 1.0))
	   ("acoustic guitar (nylon)" . (0.1 . 0.3))
           ("acoustic grand" . (0.2 . 0.8))
	)
       instrument-equalizer-alist) ) 
  }


  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets". En fait dans lilypond ça marche aussi pour autant qu'on met des nuances, hihihi!

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }