\version "2.8.3"
\include "gregorian-init.ly"

#(set-global-staff-size 18)

\header {
%   dedication = "dedication"
  title = "Litanie de compassion"
%   subtitle = "Subtitle"
  composer = "Béatitudes"
}

pash = \override Stem #'transparent = ##t
hamp = \override Stem #'transparent = ##f
dm = \divisioMinima
dM = \divisioMaior
fin = \finalis


parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }
	     
chExceptionMusic =  {
    <c f g bes>1-\markup { "7/4" }
    <c e g bes>1-\markup { "7" }
    <c ees g bes>1-\markup { "m7" }
    <c f g>1-\markup { "4" }
    <c e g a>1-\markup { "6" }
    <c ees g a>1-\markup { "m6" }
    <c ees ges>1-\markup { "dim" }
    <c ees ges beses>1-\markup { "7dim" }
    }
% add to existing exceptions.
chExceptions = #(append
                 (sequential-music-to-chord-exceptions chExceptionMusic #t)
                 ignatzekExceptions)




\paper  {
    line-width = 16 \cm % ou #1 , en fraction de la distance 
    indent = 0\mm
}
global = {
\key d \minor
\time 4/4
}
% transp = { \transpose c bes }

sopMusic = \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #3.9
b4 c b a b2. a4 g fis e dis e1
b'4 b e e d2. d4 g,4 g a a b2 b \bar "||"
\break \cadenzaOn
		s1 s1 s1  s1 s1  s1  s1 s1   s1  s1 s1 
            \hamp e,\breve e2 \dM
             d4 fis fis e2 \fin

}
sopWords = \lyricmode {
Don -- ne -- nous Sei -- gneur un cœur de com -- pas -- sion
Re -- vets -- nous Sei -- gneur de ta mi -- sé -- ri -- cor -- de.
"Pour les pauvres et les sans-a" -- bri, nous te pri -- ons
}
altoMusic = \relative c' {
e4 e e e e2. e4 e e b b b1
e4 e g g fis2. fis4 d d e e e2 dis2
\break \cadenzaOn
		s1 s1 s1  s1 s1  s1  s1 s1   s1  s1 s1 
            \hamp b\breve b2 \dM
             d2. e2 \fin


}
altoWords =\lyricmode {

}
tenorMusic = \relative c' {
g4 a g fis g2. a4 b b a a g1
g4 g c c a2. a4 g g g fis fis2 fis
\break \cadenzaOn
		s1 s1 s1  s1 s1  s1  s1 s1   s1  s1 s1 
            \hamp g\breve g2 \dM
             fis2. g2 \fin
}
tenorWords = \lyricmode {

}
bassMusic = \relative c {
g4 a g fis g2. a4 b b b, b e1
e4 e c c d2. d4 b b c c b2 b
\break \cadenzaOn
		s1 s1 s1  s1 s1  s1  s1 s1   s1  s1 s1 
            \hamp e\breve e2 \dM
             b2. e2 \fin
}
bassWords = \lyricmode {

}
accords = \chordmode {
e1:m e:m e2:m b4:sus4 b e1:m
e2:m c d1 g2 a:6 b:sus4 b
s1 s1 s1 s1 s1 s1  s1 s1  s1  s1 s1    e1:m e:m e2:m b2.:m e2:m
}

\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c bes \accords }
% \new Lyrics = sopranos { s1 }
\new Staff = women %<< \partcombine
{
<< {
\new Voice =
"sopranos" { \voiceOne \global  \parDeux \transpose c bes, \sopMusic }
    } \\ { 
\new Voice =
"altos" { \voiceTwo \global \parDeux \transpose c bes, \altoMusic } }
% \new Voice =
% "altos" { \voiceTwo << \global \transpose c bes, \altoMusic >> }
>>
}
\new Lyrics = "paroles" { s1 }
% \new Lyrics = "tenors" { s1 }
\new Staff = men %<<
{
\new Voice =
"basses" { \clef bass  \global << { \parDeux \transpose c bes, \tenorMusic } \\ { \parDeux  \transpose c bes \bassMusic } >> }
% \new Voice =
% "basses" { \voiceTwo <<\global \transpose c bes \bassMusic >> }
% >>
% \new Lyrics = basses { s1 }
}
% \context Lyrics = sopranos \lyricsto sopranos \sopWords

% \context Lyrics = altos 
\context Lyrics = paroles
  {
%   \set fontSize = #-1
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto sopranos \sopWords
  }
% \context Lyrics = tenors \lyricsto tenors \tenorWords
% \context Lyrics = basses \lyricsto basses \bassWords
>>
\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
}
  ragged-last = ##t % ne justifie pas la dernière portée

}
}