% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Ouvrez vos cœurs"
%   subtitle = "Ouvrez vos cœurs"
%   subsubtitle = "Subsubtitle"
  composer = "G 79 — Contrechant"
%   opus = "G 79"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.7"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.7"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
    top-margin = -0.5 \cm
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
    ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
    interscoreline = 2.\mm
    between-system-space = 15\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key a \minor
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodie =  \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4
	r1 r1 r2 c8 c4 a8 a4 a c8 b b g e2
	e8 a4 g8  a4 c d8 c c a b4 b r g
	a a8 c c4 r8 c d4 d8 e e4 a, c c8 d c c a a g2 g
	\bar "||"
% refrain
	e8 e4 e8 c4 c
	f8( g) f e d2
	g4 g8 g e e f g 
	a2 g
	g4 e8 e d2 c2 r2


%         \tempo 4=120 % indication métronomique pour la feuille et midi
%         \partial 16
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux (\\ indique les 2 voix)
%         f4~ f2 pour lier deux notes identiques
%         e2(  e) pour lier
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2
%             c16[ b a g] f[ e] Crochets indiquent comment grouper les barres de croches
%         \times 2/3 { r8 b a } pour des triolets
% 
%       nuances : \p, etc (collé aux notes)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3" (^ force up; _ force down)
%                \segno \marcato \fermata (point d'orgue) \breathe
%                \marcato \tenuto \accent
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \markup "chant" ou e4^\markup{ \italic ritenuto }
}

texte = \lyricmode {
% ah la là oh ouh_!
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
c2 a2:m f g c a:m f g c 
a:m f d:m7 g1
d2:m c g:7 c4 a:m f2 d:m g c 
% refrain
c f d:m g e:m a:m f g c f4 g c2 a:m

%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle =  \relative c {
c4 b a g \bar "|:" f a g2
c4 b a g f a g b c2
a4 c f e d f g f e2
d4 f c e b2 c4 a f e d f g1
% refrain
c,4 e f e d f g f e g a g f a b g
c b a8 f g4 c4 b a g \bar ":|"
% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Violon = \relative c' {
  c8 \tempo 4=100 d f g 
 << { a8 c d e f e e f d4 b c8 b a g a4 } \\ { c,8 d f g a c c a g4 g g e c } >>
r4
r4
<< a'8^"pizz." f8 >> r8
r4
<< g8 d8 >> r8
r4
<< g8 c8 >> r8
r4
<< c8 a8 >> r8
r4
<< c8 a8 >> r8
r4
<< d8 f,8 >> r8

<< d'8 g,8 >> r8
<< c8 g8 >> r8
<< b8 g8 >> r8
<< d'8 b8 >> r8
r4
<< a8 f8 >> r8
r4
<< g8 e8 >> r8
r4
<< b'8 d,8 >> r8
r4
<< a'8 c,8 >> r8
<< a'8 c,8 >> r8
r4 r2
<< {d'8^"arco" c c b c b a g e2( f)} \\ {b8 a g f e d d b c1} >>
% refrain
 << {f2 g} \\ {d2 b} >>
<< {b'2 c c4 d b2 c2 r2} \\ {g2 e f d4 g e2 r2} >>
 << {c8 d f g a8 c d e } \\ { s2 c,8 d f g } >>


% << {} \\ {} >>

}

Flute =  \relative c'' {
 r1*4
 c8 d f g a4 r f8 g a c d4 r
 g,,8 a b d g4 r
 f8 e e d e d d c d c c b c b c b a g a g f4 r
 g'8 f g f e4 d 
% refrain
c r4 r2 s1*2
}

Clarinette =  \relative c'' {

}

\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
       \set ChordNames.midiInstrument = "acoustic guitar (steel)"
%        \set ChordNames.midiInstrument = "honky-tonk"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
        \with {fontSize = #-3
        \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
% 	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "recorder"
% 	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup \tiny {
       "Flûte"}
    \set Staff.instr = \markup \tiny {
         "Fl. "  }

%
	\Armature
        \Flute
	}
% Pour le violon
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "vl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
% 	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "violin"
% 	\set Staff.midiInstrument = "pizzicato strings"
% 	\set Staff.midiInstrument = "string ensemble 2"
    
    \set Staff.instrument = \markup \tiny {
       "Violons I & II"}
    \set Staff.instr = \markup \tiny {
         "Vl. "  }

%
	\Armature
        \Violon
	}

% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup \tiny {
            "Clarinette "
            \line { "en Si" \smaller \flat}
                }
    \set Staff.instr = \markup \tiny {
             "Clar. "
             \line { "Si" \smaller \flat}
                }

     \key g \major
         \transpose c d \Clarinette
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup \tiny { "Violoncelle "}
	\set Staff.instr = \markup \tiny {"Vlle "}
	\Armature
	\clef bass
         \Violoncelle
% 	 {s2*29}
	}
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
  \midi  {\tempo 4 = 100
    #(set! instrument-equalizer-alist
       (append
          '(
           ("cello" . (0.5 . 1.0))
           ("string ensemble 1" . (0.1 . 0.2))
           ("string ensemble 2" . (0.1 . 0.2))
           ("acoustic grand" . (0.2 . 0.8)) )
       instrument-equalizer-alist))
  }


  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }