% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "introductions messe de confirmation"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "O'Caroll"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "J.-P. Lécot"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
%    tagline = "Lilypond 2.8.7"
%    texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.12.3"

% modification de la notation des accords
chExceptionMusic =  {
    <c f g bes>1-\markup { "7/4" }
    <c e g bes>1-\markup { "7" }
    <c ees g bes>1-\markup { "m7" }
    <c f g>1-\markup { "4" }
    <c e g a>1-\markup { "6" }
    <c ees g a>1-\markup { "m6" }
    <c ees ges>1-\markup { "dim" }
    <c ees ges beses>1-\markup { "7dim" }
    }
% add to existing exceptions.
chExceptions = #(append
                 (sequential-music-to-chord-exceptions chExceptionMusic #t)
                 ignatzekExceptions)

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
%     top-margin = -0.5 \cm % on peut mettre du négatif pour serrer
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
    ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

\markup {  } % pour passer un espace


parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodie =  \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4

  \partial 4
g8 fis e4. e8 
\time 3/4
g16 fis e8 e e dis dis 
\time 2/4
e2

%         \tempo 4=120 % indication métronomique pour la feuille et midi
%         \partial 16
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux (\\ indique les 2 voix)
%         f4~ f2 pour lier deux notes identiques
%         e2(  e) pour lier
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2
%             c16[ b a g] f[ e] Crochets indiquent comment grouper les barres de croches
%         \times 2/3 { r8 b a } pour des triolets
% 
%       nuances : \p, etc (collé aux notes)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3" (^ force up; _ force down)
%                \segno \marcato \fermata (point d'orgue) \breathe
%                \marcato \tenuto \accent
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \markup "chant" ou e4^\markup{ \italic ritenuto }
}


accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

s4 e2:m e4:m a:m b:7 e2:m \bar "||"

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
}

mesure = {\time 2/4}
Armature =  \key e \minor
\score {
  <<
    \mesure

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
       \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
%        \set ChordNames.midiInstrument = "string ensemble 2"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrumentName = \markup \tiny {"Coul. d'aurore "}
      \set Staff.shortInstrumentName = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie

                            }

                                >>


  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
%   \midi  {\tempo 4 = 80
%     #(set! instrument-equalizer-alist
%        (append
%           '(
%            ("cello" . (0.5 . 1.0))
%            ("string ensemble 1" . (0.1 . 0.2))
%            ("string ensemble 2" . (0.1 . 0.2))
%            ("acoustic grand" . (0.2 . 0.8)) )
%        instrument-equalizer-alist))
%   }


  }
\markup {  } % pour passer un espace

%  ##################################################
%                        INTRO 2 Chante Alleluia
%  ##################################################

melodie =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4

fis2^"une blanche = une noire" e4 d cis b a cis b1 \bar "||"

}


accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

b1:m fis:m b:m

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

}

mesure = {\time 2/2}
Armature =  \key b \minor
\score {
  <<
    \mesure

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {

       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 

      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrumentName = \markup \tiny {"Chante alleluia "}
      \set Staff.shortInstrumentName = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie

                            }

                                >>

  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée

  } 
}
\markup {  } % pour passer un espace

%  ##################################################
%                        INTRO 3 Viens Saint-Esprit
%  ##################################################

melodie =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4

e2. b8 gis' fis2~ fis8 gis fis e 
e1 \bar "||"

}


accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

e1 b e

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

}

mesure = {\time 4/4}
Armature =  \key e \major
\score {
  <<
    \mesure

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {

       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 

      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrumentName = \markup \tiny {"Viens, Saint-Esprit "}
      \set Staff.shortInstrumentName = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie

                            }

                                >>

  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée

  } 
}

\markup {  } % pour passer un espace
%  ##################################################
%                        INTRO 4 Souffle imprévisible
%  ##################################################

melodie =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4

e8 e e d e4 e g8 g4 a8 fis2  \bar "||"

}


accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

e2:m c a:m7 d

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

}

mesure = {\time 4/4}
Armature =  \key e \minor
\score {
  <<
    \mesure

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {

       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 

      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrumentName = \markup \tiny {"Souffle impr. "}
      \set Staff.shortInstrumentName = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie

                            }

                                >>

  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée

  } 
}

\markup {  } % pour passer un espace
%  ##################################################
%                        INTRO 5 Jésus, toi qui as promis
%  ##################################################

melodie =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4

d2.( e8) f8~ f1
e4 e e d8 c~ c2 f4 e d2.( e8) d8~ d1 \bar "||"
}


accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

d1:m d:m a:m a2.:m c4 d2:m a:m d1:m

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

}

mesure = {\time 2/2}
Armature =  \key d \minor
\score {
  <<
    \mesure

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {

       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 

      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrumentName = \markup \tiny {"Jésus, toi... "}
      \set Staff.shortInstrumentName = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie

                            }

                                >>

  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée

  } 
}
\markup {  } % pour passer un espace

%  ##################################################
%                        INTRO 6 fiez-vous en lui
%  ##################################################

melodie =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4

e8 e fis a g4. b8 fis g e2. \bar "||"

}


accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

e4:m d g2 b4:m e2.:m

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

}

mesure = {\time 4/4}
Armature =  \key e \minor
\score {
  <<
    \mesure

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {

       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 

      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrumentName = \markup \tiny {"Fiez-vous "}
      \set Staff.shortInstrumentName = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie

                            }

                                >>

  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée

  } 
}
\markup {  } % pour passer un espace

%  ##################################################
%                        INTRO 7 Saint, le Seigneur
%  ##################################################

melodie =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4
a2 c4 d8 e~ e1
a4 a g8 g4 a8~ a1 \bar "||"

}


accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

a1:m c     f2 g a1:m

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

}

mesure = {\time 4/4}
Armature =  \key a \minor
\score {
  <<
    \mesure

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {

       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 

      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrumentName = \markup \tiny {"Saint, le Sg "}
      \set Staff.shortInstrumentName = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie

                            }

                                >>

  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée

  } 
}

\markup {  } % pour passer un espace
%  ##################################################
%                        INTRO 8 Écoute la voix du Sg
%  ##################################################

melodie =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4

\partial 4 r8 d8
d4 d8 d a'4 a8 f g4 f8 e d2
}


accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

s4 d1:m g2:m d:m

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

}

mesure = {\time 2/2}
Armature =  \key d \minor
\score {
  <<
    \mesure

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {

       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 

      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrumentName = \markup \tiny {"Écoute la voix "}
      \set Staff.shortInstrumentName = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie

                            }

                                >>

  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée

  } 
}

