% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Messe du Sarment, en Sib"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
  composer = "Pravin Ertz"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "J.-P. Lécot"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
%    tagline = "Lilypond 2.8.7"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.7"

% modification de la notation des accords
chExceptionMusic =  {
    <c f g bes>1-\markup { "7/4" }
    <c e g bes>1-\markup { "7" }
    <c ees g bes>1-\markup { "m7" }
    <c f g>1-\markup { "4" }
    <c e g a>1-\markup { "6" }
    <c ees g a>1-\markup { "m6" }
    <c ees ges>1-\markup { "dim" }
    <c ees ges beses>1-\markup { "7dim" }
    }
% add to existing exceptions.
chExceptions = #(append
                 (sequential-music-to-chord-exceptions chExceptionMusic #t)
                 ignatzekExceptions)

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
%     top-margin = -0.5 \cm % on peut mettre du négatif pour serrer
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
    ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key c \minor
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodie =  \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.8
\partial 8 
<< { g8
g4 g8 g aes4. f8 bes aes g f g4. g8 ees4 ees8 ees d2 } \\
{ ees8 ees4 ees8 ees d4. d8 f4 ees8 d ees4. ees8 c4 c8 c b2 } >>
% pour changer l'impression des numéros de portée, tous les deux:
% \override Score.BarNumber 
% 	    #'break-visibility = #end-of-line-invisible
% \set Score.barNumberVisibility = #(every-nth-bar-number-visible 2)


%         \tempo 4=120 % indication métronomique pour la feuille et midi
%         \partial 16
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux (\\ indique les 2 voix)
%         f4~ f2 pour lier deux notes identiques
%         e2(  e) pour lier
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2
%             c16[ b a g] f[ e] Crochets indiquent comment grouper les barres de croches
%         \times 2/3 { r8 b a } pour des triolets
% 
%       nuances : \p, etc (collé aux notes)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3" (^ force up; _ force down)
%                \segno \marcato \fermata (point d'orgue) \breathe
%                \marcato \tenuto \accent
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \markup "chant" ou e4^\markup{ \italic ritenuto }
}

texte = \lyricmode {
Sei -- gneur prends pi -- tié, Sei -- gneur __ prends pi -- tié, Sei -- gneur, prends pi -- tié
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions

% on peut mettre des s1 s2 s4
% accord 	de 7ième: c:7
%	 	de 1ième mineure: c:m7
% 		de 7ième diminuée: c:dim7
% 		diminué: c:dim
% 		de quarte et quinte: c:sus4
% 		avec septième: c:7sus4
% 		avec sixième: c:6
% 		d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-

%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
}

Violoncelle =  \relative c {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute =  \relative c'' {

}

Clarinette =  \relative c'' {

}
\markup "Kyrie"
\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
       \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
%        \set ChordNames.midiInstrument = "string ensemble 2"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
%{      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}%}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\transpose c d  { \Armature % définie plus haut
        \melodie }
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                                >>

  >> % ouvert juste en dessous de la déclaration \score
}


\markup "Gloria"
melodie = \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.8
<< { g4 g aes2 f8 bes bes aes g4. ees8 ees4 ees8 ees d4 d8 d g4 f8 f g2 } \\
{ ees4 ees f2 d8 d f f ees4. c8 c4 c8 c b4 b8 b ees4 ees8 ees d2 } >>
}
texte = \lyricmode {
Gloire à Dieu au plus haut des cieux et paix sur la ter -- re aux hom -- mes qu'il aime  }

\score {
  <<
    \mesure
    \context StaffGroup = "chorale" <<
     \context ChordNames = "accords" {
       \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
	
	\transpose c d  { \Armature % définie plus haut
        \melodie }
                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                 >>

  >> % ouvert juste en dessous de la déclaration \score
}


\markup "Sanctus"
melodie = \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.8
<< { g2 aes f4 bes8 aes g2 ees4 ees d g8 f ees2 } \\
{ ees2 f d4 d8 d ees2 c4 c b d c2 } >>
}
texte = \lyricmode {
 }

\score {
  <<
    \mesure
    \context StaffGroup = "chorale" <<
     \context ChordNames = "accords" {
       \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
	
	\transpose c d  { \Armature % définie plus haut
        \melodie }
                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                 >>

  >> % ouvert juste en dessous de la déclaration \score
}



\markup "Anamnèse"
melodie = \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.8
\partial 8
<< { c8 c c c d ees4 d8 c bes bes c d c4. c8 g g c c aes4. aes8 b4 b c2 } \\
{ g8 g g aes bes aes4. aes8 f f g aes g4. ees8 ees ees ees ees f4. f8 g4 g8 f ees2  } >>
}
texte = \lyricmode {
 }

\score {
  <<
    \mesure
    \context StaffGroup = "chorale" <<
     \context ChordNames = "accords" {
       \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
	
	\transpose c d  { \Armature % définie plus haut
        \melodie }
                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                 >>

  >> % ouvert juste en dessous de la déclaration \score
}


\markup "Agneau de Dieu"
melodie = \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.8
\partial 8
<< { g8 g4 g f ees8 f g f ees d ees4. d8 c1   ees4 ees f f g1 } \\
{ ees8 ees4 ees d c8 d ees d c bes c4. b8 g1   c4 c c c d1  } >>
}
texte = \lyricmode {
 }

\score {
  <<
    \mesure
    \context StaffGroup = "chorale" <<
     \context ChordNames = "accords" {
       \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
	
	\transpose c d  { \Armature % définie plus haut
        \melodie }
                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                 >>

  >> % ouvert juste en dessous de la déclaration \score
}
% indications propres à l'entrée \score 
% \layout {

%   \context{
%         \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
%          }


%   ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
%   }
%   \midi  {\tempo 4 = 80
%     #(set! instrument-equalizer-alist
%        (append
%           '(
%            ("cello" . (0.5 . 1.0))
%            ("string ensemble 1" . (0.1 . 0.2))
%            ("string ensemble 2" . (0.1 . 0.2))
%            ("acoustic grand" . (0.2 . 0.8)) )
%        instrument-equalizer-alist))
%   }


%   }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }